# Update a support ticket

Updates a support ticket.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/) you'll need to specify the `/accounts/{accountID}/tickets.write` scope.

If you're updating the ticket on behalf of another account, then you'll need to specify the `/accounts/{partnerAccountID}/tickets.write` and `/accounts/{accountID}/profile.read` scopes.

## PATCH

/accounts/{accountID}/tickets/{ticketID}

### Ask

```shell
curl -X PATCH "https://api.moov.io/accounts/{accountID}/tickets/{ticketID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"
```

### Ask

```go
mc, _ := moov.NewClient()

var accountID string // customer
var ticketID string

mc.UpdateTicket(ctx, accountID, ticketID, moov.UpdateTicket{
  Status: moov.UpdateTicketStatusClosed,
})
```

### Ask

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.support.updateTicket({
    accountID: "7cce2b85-37c2-4c76-954c-03dcec2b12f0",
    ticketID: "1d621d17-8e7d-4ac0-9f7d-6e9fcebe8eef",
    updateTicket: {},
  });

console.log(result);
}

run();
```

### Ask

```php
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\
